mod types;

use crate::lexer::Token;
use crate::parser::types::AstNode;
use pest::Parser;
use pest_derive::Parser;

#[derive(Parser)]
#[grammar = "parser/deimos.pest"]
struct DeimosParser;

pub fn parse(tokens: &Vec<Token>) -> Result<AstNode, String> {
    let p = DeimosParser::parse(Rule::compilation_unit, "ns std::core")
        .expect("unable to parse")
        .next()
        .unwrap();
    todo!()
}
